首页新闻找找看学习计划

visual stuido 2005 和 2008

0
悬赏园豆:20 [已关闭问题]
<P>请问各位大师:visual stuido 2005 和 visual studio 2008, 可以并行吗?编译时是分别按照 Framework 2.0 和 Framework 3.5 进行的吗?</P> <P>我以前做的项目都是在 visual stuido 2005 环境下的。但是现在 极其想安装 visual studio 2008,但由于工作内容的限制,visual stuido 2005又不能卸载。</P>
草原和大树的主页 草原和大树 | 初学一级 | 园豆:50
提问于:2008-08-14 13:22
< >
分享
其他回答(6)
0
没问题,可以同时安装,不会出现问题。 在Visual Studio 2008下可以同时运行:.NET Framework 2.0,3.0,3.5的程序。
TerryLee | 园豆:3300 (老鸟四级) | 2008-08-14 13:26
0
2005与2008可以共存,两者互不影响
侯垒 | 园豆:3435 (老鸟四级) | 2008-08-14 13:29
0
可以共存,不过,嘿嘿,VS2008有个特性,可以指定.NET Framework的版本,也就是说使用VS2008,一样可以生成Framework2.0的程序,完全没有问题 所以使用VS2008代替VS2005并没有什么问题,当然,其他成员也需要升级,因为sln文件好像不是双向兼容的 --------------------------- VS2005编译会自动使用2.0,而VS2008会根据你的选择而使用不同的版本,目前支持2.0/3.0/3.5三个版本
丁学 | 园豆:18530 (专家六级) | 2008-08-14 15:14
0
是的 我试过....05的08可以打开,但是08的05打不开....
Jared.Nie | 园豆:1940 (小虾三级) | 2008-08-14 15:28
0
可以共存,目前工作中正使用,以前的项目都是2005下的,现在新的项目都是在2008下,打开解决方案的时候会自动识别版本打开对应的VS!!
JulioZou | 园豆:210 (菜鸟二级) | 2008-08-14 16:49
0
软件是可以共存的 不过如果你在Visual Studio 2005下用了AJAX 1.0要转到2008下那就会有问题 原来在2005下可以实现的无刷新到2008下就无法实现了 我们这几天在转正为这个问题发愁呢
一叶舟 | 园豆:205 (菜鸟二级) | 2008-08-14 18:59
0
@一叶舟 不管是05还是08,AJAX 1.0都是需要另外装的,而08自带AJAX 3.5,因此有两种方案可以解决你的问题。
xoyozo | 园豆:185 (初学一级) | 2008-08-15 08:45
清除回答草稿
   您需要登录以后才能回答,未注册用户请先注册